Bug 859826 - Volume start fails with error 'volume start: <vol_name>: failed
Volume start fails with error 'volume start: <vol_name>: failed
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Amar Tumballi
amainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 02:38 EDT by Rachana Patel
Modified: 2015-04-20 07:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:45:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (6.43 KB, text/x-log)
2012-09-24 02:41 EDT, Rachana Patel
no flags Details

  None (edit)
Description Rachana Patel 2012-09-24 02:38:55 EDT
Description of problem:
Volume start fails with error 'volume start: <vol_name>: failed

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. git clone https://github.com/gluster/glusterfs 
2. cd ~/code/glusterfs/ && ./autogen.sh && ./configure --enable-fusermount CFLAGS="-g -ggdb -O0" && make clean && make -j4
3.make install >/dev/null 
4. /sbin/ldconfig 
5. service glusterd start
6. gluster peer probe <server>
7. gluster p s
8. gluster volume create <vol_name> <server>:/<brick>  <server>:/<brick>
9. gluster volume start <vol_name>
  
Actual results:
'volume start: <vol_name>: failed

Expected results:
Volume should be started.

Additional info:
[]git log
commit 373b25827f0250d11461fbe76dd6a0e295069171
Author: Anand Avati <avati@redhat.com>
Date:   Mon Aug 20 10:48:16 2012 -0700
Comment 1 Rachana Patel 2012-09-24 02:41:19 EDT
Created attachment 616382 [details]
log
Comment 2 Amar Tumballi 2012-09-27 06:32:38 EDT
should be fixed by http://review.gluster.org/4001

Note You need to log in before you can comment on or make changes to this bug.